Bug 432812 - dmraid is unable to activate a subset
dmraid is unable to activate a subset
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dmraid (Show other bugs)
5.1
All Linux
high Severity high
: rc
: ---
Assigned To: Ian Kent
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 10:55 EST by Marco Ceci
Modified: 2009-01-20 15:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:47:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Ceci 2008-02-14 10:55:35 EST
Description of problem:

dmraid is unable to activate a subset. This problem is aggravated by the fact
that dmraid returns the name of the subset instead of the name of the superset
when running the "dmraid -s -craidname" command. The output of "dmraid -s
-craidname" is also used by mkinitrd this means that the system will not be able
to activate any raid set at boot time.

Version-Release number of selected component (if applicable):

dmraid-1.0.0.rc13-6.1 with the patch to avoid the segmentation fault from BZ#427550

How reproducible:

always

Steps to Reproduce:
1. create a sparse device using dm loop and copy the metadata attached
2. 

# dmraid -s
*** Group superset .ddf1_disks
--> Active Subset
name   : ddf1_VERT02
size   : 312237824
stride : 128
type   : mirror
status : ok
subsets: 0
devs   : 1
spares : 0


3.
# /sbin/dmraid -s -craidname
ddf1_VERT02

4. #try to activate the subset
# dmraid -ay -i -p ddf1_VERT02
No RAID sets and with names: "ddf1_VERT02"

5. #using the name of the superset it works
dmraid -ay -i -p .ddf1_disks
ERROR: creating degraded mirror mapping for "ddf1_VERT02"
# the error is ok as there is only one disk in the mirror

Actual results:

an error while trying to activate a subset

Expected results:

A subset activated

Additional info:

all the metadata and information to reproduce this issue are on BZ#427550
Comment 5 RHEL Product and Program Management 2008-06-02 16:18:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Tony Fu 2008-09-09 20:52:50 EDT
User mceci@redhat.com's account has been closed
Comment 7 Heinz Mauelshagen 2008-09-18 12:13:51 EDT
In package dmraid/1.0.0.rc13/13.el5
Comment 11 errata-xmlrpc 2009-01-20 15:47:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0078.html

Note You need to log in before you can comment on or make changes to this bug.